usrp_x3xx_fpga_burner(1)

NAME
usrp_x3xx_fpga_burner - USRP X-Series FPGA Burner

DESCRIPTION
Burn an FPGA image onto a connected USRP X-Series device. The program takes two main arguments. The first is either an IP address or an NI-RIO resource to decide the method of loading the FPGA image. The other is either the type of image to burn, in which case the program will choose the default image of that type and model, or a custom FPGA image path.

SYNOPSIS
usrp_x3xx_fpga_burner [OPTIONS]

OPTIONS

Device IP Address:
    --addr="Address"

Device NI-RIO Resource:
    --resource="Resource"

RPC Port:
    --rpc-port="Port" (default=5444)

Image Type (1G, HG, or XG):
    --type="Type"

Custom FPGA path:
    --fpga-path="Path"

Initialize USRP with image currently burned onto device (Ethernet only):
    --configure

Verify image during Ethernet burn (takes longer):
    --verify

List connected USRP X-Series devices:
    --list

This help information:
    --help

EXAMPLES

  Burning a 1-Gigabit image over Ethernet

usrp_x3xx_fpga_burner --addr=192.168.10.2 --type=1G

  Burning a Hybrid image over PCIe
usrp_x3xx_fpga_burner --resource=RIO0 --type=HG

  Burning a custom FPGA image over Ethernet
usrp_x3xx_fpga_burner --addr=192.168.10.2 --fpga=path="custom_image.bit"

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

uhd_images_downloader(1) usrp2_card_burner(1) usrp_n2xx_simple_net_burner(1) octoclock_firmware_burner(1)

AUTHOR
This manual page was written by Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2014 Ettus Research LLC

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.